From d874cdc354465eeed76f7039de9e4d7e5b17dabc Mon Sep 17 00:00:00 2001
From: Administrator <admin>
Date: Tue, 20 Apr 2021 18:23:19 +0800
Subject: [PATCH] Merge branch 'master' of http://192.168.0.105:10010/r/jfpt-Vue

---
 public/map/widgets/supervisoryMap/SupervisoryMap.css |  375 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 375 insertions(+), 0 deletions(-)

diff --git a/public/map/widgets/supervisoryMap/SupervisoryMap.css b/public/map/widgets/supervisoryMap/SupervisoryMap.css
index e69de29..0fd2a64 100644
--- a/public/map/widgets/supervisoryMap/SupervisoryMap.css
+++ b/public/map/widgets/supervisoryMap/SupervisoryMap.css
@@ -0,0 +1,375 @@
+/* .analysis-and-judgment {
+    display: none;
+} */
+
+div[open-li='analysis-and-judgment'] {
+    box-sizing: border-box;
+}
+
+div[open-li='analysis-and-judgment']>ul {
+    display: flex;
+    height: 36px;
+    line-height: 36px;
+}
+
+div[open-li='analysis-and-judgment']>ul>li {
+    flex: 1;
+    font-size: 15px;
+    text-align: center;
+    color: #7b7b7b;
+    cursor: pointer;
+    background: #E5E5E5;
+}
+
+div[open-li='analysis-and-judgment']>ul>li.on {
+    color: #677788;
+    background: #fff;
+}
+
+.analysis-and-judgment {
+    width: 360px;
+    height: calc(100%);
+    background: rgb(255, 255, 255);
+}
+
+/* 分析研判内容容器 */
+.analysis-container {
+    position: relative;
+    height: calc(100% - 38px);
+    font-size: 14px;
+}
+
+.analysis-container>div {
+    width: 100%;
+    height: 100%;
+    position: absolute;
+    top: 0;
+    left: 0;
+}
+
+.analysis-container>div:nth-child(2) {
+    display: none;
+}
+
+.analysis-container>div:nth-child(3) {
+    display: none;
+}
+
+/* 类别选择,级别选择,以及热力图 */
+.analysis-container .analysis-category,
+.analysis-container .analysis-level {
+    width: 100%;
+    height: 40px;
+    line-height: 40px;
+    padding: 4px 6px 0 6px;
+    box-sizing: border-box;
+    color: #677788;
+}
+
+.analysis-container .analysis-category>ul,
+.analysis-container .analysis-level>ul {
+    display: flex;
+    height: 36px;
+    line-height: 36px;
+    align-items: center;
+}
+
+.analysis-container .analysis-category>ul>li,
+.analysis-container .analysis-level>ul>li {
+    height: 36px;
+    line-height: 36px;
+}
+
+.analysis-container .analysis-category>ul>li:first-child,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2),
+.analysis-container .analysis-level>ul>li:first-child {
+    margin-right: 4px;
+    position: relative;
+    padding-left: 4px;
+    flex: 8;
+    color: #677788;
+    background: rgb(255, 255, 255);
+    border: 1px solid rgba(231, 234, 243, 1);
+    box-sizing: border-box;
+}
+
+.analysis-container .analysis-container-police .analysis-category>ul>li:first-child,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) {
+    flex: 4;
+}
+
+
+.analysis-container .analysis-category>ul>li:last-child,
+.analysis-container .analysis-level>ul>li:last-child {
+    flex: 2;
+    text-align: center;
+}
+
+.analysis-container .analysis-category>ul>li:last-child input,
+.analysis-container .analysis-level>ul>li:last-child input {
+    vertical-align: middle;
+}
+
+/* 类别选择中得下拉框 */
+.analysis-container .analysis-category>ul>li:first-child div:first-child,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) div:first-child,
+.analysis-container .analysis-level>ul>li:first-child div:first-child {
+    position: absolute;
+    top: 0;
+    left: 30px;
+    width: calc(100% - 30px);
+    height: 34px;
+    color: #677788;
+    padding-left: 10px;
+    box-sizing: border-box;
+    cursor: pointer;
+
+}
+
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) div:first-child {
+    left: 16px;
+    width: calc(100% - 16px);
+}
+
+.analysis-container .analysis-category>ul>li:first-child div:first-child i,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) div:first-child i,
+.analysis-container .analysis-level>ul>li:first-child div:first-child i {
+    display: block;
+    position: absolute;
+    top: 50%;
+    right: 4px;
+    transform: translate(0, -50%);
+    width: 10px;
+    height: 10px;
+    background: url('../../images/select-bg.png') repeat;
+    background-size: 100% 100%;
+}
+
+.analysis-container .analysis-category>ul>li:first-child div:last-child,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) div:last-child,
+.analysis-container .analysis-level>ul>li:first-child div:last-child {
+    display: none;
+    position: absolute;
+    top: 35px;
+    left: -1px;
+    z-index: 10;
+    width: calc(100% + 2px);
+}
+
+
+.analysis-container .analysis-category>ul>li:first-child ul,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) ul,
+.analysis-container .analysis-level>ul>li:first-child ul {
+    display: flex;
+    flex-direction: column;
+    width: 100%;
+    max-height: 300px;
+    height: auto;
+    overflow-y: auto;
+    overflow-x: hidden;
+    border: 1px solid rgba(231, 234, 243, 1);
+    border-top: none;
+    box-sizing: border-box;
+
+}
+
+.analysis-container .analysis-category>ul>li:first-child ul li,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) ul li,
+.analysis-container .analysis-level>ul>li:first-child ul li {
+    flex: 1;
+    padding-left: 10px;
+    height: 34px;
+    border-top: 1px solid rgba(231, 234, 243, 1);
+    background: rgb(255, 255, 255);
+    color: #677788;
+    box-sizing: border-box;
+    cursor: pointer;
+}
+
+.analysis-container .analysis-category>ul>li:first-child ul li:hover,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) ul li:hover,
+.analysis-container .analysis-level>ul>li:first-child ul li:hover {
+    color: #15a2fe;
+    background: #beeeff;
+}
+
+.analysis-container .analysis-category>ul>li:first-child ul li:first-child,
+.analysis-container .analysis-container-police .analysis-category>ul>li:nth-child(2) ul li:first-child,
+.analysis-container .analysis-level>ul>li:first-child ul li:first-child {
+    border: none;
+}
+
+/* 时间选择 */
+.analysis-container .analysis-selection-criteria {
+    display: flex;
+    padding: 4px 6px;
+    width: 100%;
+    height: 40px;
+    line-height: 32px;
+    color: #677788;
+    box-sizing: border-box;
+}
+
+.analysis-container .analysis-selection-criteria input {
+    border: 1px solid rgba(231, 234, 243, 0.7);
+}
+
+.analysis-container .analysis-selection-criteria input[type='text'] {
+    width: 0;
+    flex: 5;
+    padding: 0 4px;
+    color: #677788;
+    cursor: pointer;
+    background-color: #fff;
+    background: url('../../images/laydata-bg.png') no-repeat;
+    background-size: 18px 16px;
+    background-position: 98% center;
+}
+
+.analysis-container .analysis-selection-criteria input[type='button'] {
+    width: 0;
+    flex: 2;
+    color: #fff;
+    background: #377DFF;
+    cursor: pointer;
+}
+
+/* 显示信息得表格 */
+.analysis-container .analysis-container-police .analysis-table-content {
+    height: calc(100% - 80px);
+}
+
+.analysis-container .analysis-container-owner .analysis-table-content {
+    margin-top: 4px;
+    height: calc(100% - 84px);
+}
+
+.analysis-container .analysis-container-equipment .analysis-table-content {
+    margin-top: 4px;
+    height: calc(100% - 44px);
+}
+
+.analysis-container .table {
+    height: 100%;
+}
+
+.analysis-container .thead {
+    height: 31px;
+}
+
+.analysis-container .table .tbody {
+    height: calc(100% - 31px);
+    overflow-y: auto;
+    overflow-x: hidden;
+    scrollbar-width: thin;
+}
+
+
+.analysis-container .table table {
+    width: 360px;
+    border-collapse: collapse;
+    table-layout: fixed;
+    box-sizing: border-box;
+
+}
+
+.analysis-container .table table tr {
+    height: 30px;
+}
+
+.analysis-container .table table tr th,
+.analysis-container .table table tr td {
+    margin: 0;
+    padding: 0 4px;
+    border: 1px solid rgba(231, 234, 243, 1);
+    height: 30px;
+    text-align: center;
+    font-size: 14px;
+    font-weight: 400;
+    color: #677788;
+    box-sizing: border-box;
+
+    overflow: hidden;
+    /*超出的文字隐藏*/
+    text-overflow: ellipsis;
+    /*文字超出后,显示省略号*/
+    white-space: nowrap;
+    /*文字不换行*/
+    word-break: keep-all;
+    /*文字不换行*/
+}
+
+.analysis-container .table table tr td a {
+    color: #677788;
+    cursor: default;
+}
+
+.analysis-container .table table tr:first-child td {
+    border-top: none;
+
+}
+
+
+.analysis-container .table .tbody tr {
+    cursor: pointer;
+}
+
+.analysis-container .table .tbody tr td:first-child,
+.analysis-container .table .thead tr th:first-child {
+    width: 40px;
+}
+
+.analysis-container .analysis-container-police .table .tbody tr td:nth-child(2),
+.analysis-container .analysis-container-police .table .thead tr th:nth-child(2) {
+    width: 80px;
+}
+
+.analysis-container .analysis-container-police .table .tbody tr td:nth-child(3),
+.analysis-container .analysis-container-police .table .thead tr th:nth-child(3) {
+   width: 64px;
+}
+
+
+.analysis-container .analysis-container-police .table .tbody tr td:nth-child(4),
+.analysis-container .analysis-container-police .table .thead tr th:nth-child(4) {
+    width: 100px;
+}
+
+
+.analysis-container .analysis-container-police .table .tbody tr td:nth-child(5),
+.analysis-container .analysis-container-police .table .thead tr th:nth-child(5),
+.analysis-container .analysis-container-owner .table .tbody tr td:nth-child(5),
+.analysis-container .analysis-container-owner .table .thead tr th:nth-child(5),
+.analysis-container .analysis-container-equipment .table .tbody tr td:nth-child(5),
+.analysis-container .analysis-container-equipment .table .thead tr th:nth-child(5) {
+    cursor: default;
+}
+
+.analysis-container .analysis-container-police .table .tbody tr input,
+.analysis-container .analysis-container-owner .table .tbody tr input,
+.analysis-container .analysis-container-equipment .table .tbody tr input {
+    width: 42px;
+    height: 20px;
+    line-height: 20px;
+    color: #fff;
+    background: #377DFF;
+    border: none;
+    border-radius: 5px;
+    cursor: pointer;
+    vertical-align: middle;
+}
+
+.analysis-container .analysis-container-equipment .table .tbody tr td:nth-child(2),
+.analysis-container .analysis-container-equipment .table .thead tr th:nth-child(2) {
+    width: 68px;
+}
+
+.analysis-container .analysis-container-equipment .table .tbody tr td:nth-child(4),
+.analysis-container .analysis-container-equipment .table .thead tr th:nth-child(4) {
+    width: 68px;
+}
+
+.client-max-map{
+    width: calc(100% - 360px) !important;
+    left: 360px !important;
+}
\ No newline at end of file

--
Gitblit v1.9.3